import type { Cancelable, RequestParameters, ResponseCallback } from "maplibre-gl";
import type { MapTileAdapterOptions } from "../../types";
interface MaplibreTileAdapterOptions extends MapTileAdapterOptions {
    protocol?: string;
}
export declare const maplibreTileAdapterProtocol: (options: MaplibreTileAdapterOptions) => {
    protocol: string;
    tileUrlPrefix: string;
    loader: (reqParams: RequestParameters, cb: ResponseCallback<ArrayBuffer>) => Cancelable;
};
export {};
