import type { Bbox, Tile } from "../../types";
export interface ParseCustomProtocolRequestUrlOutput {
    bbox: Bbox;
    tile: Tile;
    urlTemplate: string;
    interval?: number[];
    sourceTileSize?: number;
    destinationTileSize?: number;
}
export declare const parseCustomProtocolRequestUrl: (url: string) => ParseCustomProtocolRequestUrlOutput;
export declare const getImageUrl: (urlTemplate: string, sourceTile: Tile, sourceBbox: Bbox) => string;
