/// <reference types="node" />
import { Tile } from '../src/types';
/**
 * Gets the png buffer for a test canvas which is typeds as HTMLCanvasElement but is actually a Canvas fron node-canvas
 * @param canvas node-canvas in disguise
 * @returns
 */
export declare const createTestCanvasImage: (canvas: HTMLCanvasElement) => Buffer;
export declare const getMaptilerEpsg4326Url: ([x, y, z]: Tile) => string;
export declare const getTestHTMLImageElement: (url: string) => Promise<HTMLImageElement | null>;
